List newly inserted donations for Zapier
Returns positive, qualified donation records in descending immutable donation-ID order so edits to the gift date do not create a new event. The numeric id is both the deduplication key and cursor. created_after and cursor_created_at are retained compatibility inputs: the current query pages by cursor_id rather than filtering by those date fields.
curl --request GET \
--url https://api.gratona.com/v3/zapier/triggers/donations/created-feed \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v3/zapier/triggers/donations/created-feed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v3/zapier/triggers/donations/created-feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v3/zapier/triggers/donations/created-feed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v3/zapier/triggers/donations/created-feed"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v3/zapier/triggers/donations/created-feed")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v3/zapier/triggers/donations/created-feed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 12345,
"donation_id": 12345,
"donor_id": 12345,
"method_id": 12345,
"commitment_id": 12345,
"sponsorship_id": 12345,
"soft_credit_count": 12345,
"type": 12345,
"is_offline_payment": false,
"is_recurring_payment": false,
"is_tax_deductible": true,
"is_acknowledged": false,
"has_soft_credits": false,
"one_time": false,
"refunded": false,
"refundable": false,
"is_csv_import": false,
"method": "Cash",
"in_kind_category": "example",
"settled_at": "2026-10-20T10:00:00Z",
"receipt_sent_at": "2026-10-20T10:00:00Z",
"acknowledgement_status": "example",
"acknowledged_at": "2026-10-20T10:00:00Z",
"acknowledgement_source": "example",
"currency": "$",
"transaction_id": "external-payment-001",
"transaction_status": "completed",
"result": "Created via Zapier",
"notes": "Offline gift received.",
"tags": "example",
"date": "example",
"soft_credit_total_amount": 25,
"deposit_date": "<unknown>",
"in_honor_of": "<unknown>",
"json_fields": "<unknown>",
"created_at": "2026-10-20T10:00:00Z",
"updated_at": "2026-10-20T10:00:00Z",
"amount": 25,
"refunded_amount": 0,
"net_amount": 25,
"remaining_refundable_amount": 25,
"individual_transaction_amount": 25,
"payment_transaction_amount": 25,
"combined_transaction_amount": 25,
"batched_individual_amount": 25,
"non_batched_transaction_amount": 25,
"actual_charged_amount": 25,
"batch_donation_id": 12345,
"batch_id": 12345,
"batch_count": 12345,
"is_batched": false,
"has_combined_transaction_amount": false,
"batch_group_id": "example",
"amount_context": "example",
"batch_donation_ids": [
123
],
"giving_source": "example",
"giving_source_label": "example",
"daf_disclosure": "example",
"daf_fund_name": "example",
"source_reference": "example",
"ira_owner_donor_id": 12345,
"intermediary_donor_id": 12345,
"daf_advisor": {
"id": 12345,
"name": "Jane Doe"
},
"ira_owner": {
"id": 12345,
"name": "Jane Doe"
},
"intermediary": {
"id": 12345,
"name": "Jane Doe"
},
"processing_fee": 25,
"platform_fee": 25,
"amount_excluding_fee": 25,
"processor_net_amount": 25,
"donor_covered_fee": 25,
"processor_fee_currency": "example",
"processing_fee_known": false,
"profile": "<unknown>",
"donor": {
"id": 12345,
"hysform_id": 42,
"name": "example",
"email": "jane@example.org",
"is_giving_institution": false
},
"designation": {
"id": 12345,
"type": 12345,
"emailset_id": 12345,
"program_id": 11,
"code": "example",
"name": "example",
"program_name": "example"
},
"soft_credits": [
{
"id": 12345,
"donor_id": 12345,
"type_id": 12345,
"donor_name": "example",
"donor_email": "example",
"type_key": "example",
"type": "individual",
"notes": "Offline gift received.",
"created_at": "2026-10-20T10:00:00Z",
"updated_at": "2026-10-20T10:00:00Z",
"amount": 25
}
]
}
],
"meta": {
"page_size": 100,
"has_more": false,
"created_after": "<string>",
"next_cursor": {
"created_at": "2026-10-19T10:00:00Z",
"id": 12345
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"success": false,
"errors": [
{
"code": "INSUFFICIENT_SCOPE",
"message": "Required scope is missing.",
"required_scope": "schema:read",
"available_scopes": [
"<string>"
],
"required_permission_groups": [
[
"<string>"
]
]
}
]
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Query Parameters
Page size; defaults to100. Validation: nullable|integer|min:1|max:100. Page size. Validation: nullable|integer|min:1|max:100.
1 <= x <= 1001
Accepted and echoed in metadata; the current query does not apply this date as a lower bound. Validation: nullable|date. Created after. Validation: nullable|date.
Compatibility timestamp required when cursor_id is supplied; use next_cursor.created_at. Validation: nullable|required_with:cursor_id|date. Cursor created at. Validation: nullable|required_with:cursor_id|date.
Donation-ID cursor; requires cursor_created_at and restricts results to lower donation IDs. Validation: nullable|required_with:cursor_created_at|integer|min:1. Cursor id. Validation: nullable|required_with:cursor_created_at|integer|min:1.
x >= 11
Restrict the feed to this donor. Validation: nullable|integer. Donor who owns the gift or commitment. Validation: nullable|integer.
12345
Choose all qualified gifts or the supported offline payment methods. Validation: nullable|string|in:all,offline. Payment source. Validation: nullable|string|in:all,offline.
all, offline, null curl --request GET \
--url https://api.gratona.com/v3/zapier/triggers/donations/created-feed \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v3/zapier/triggers/donations/created-feed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v3/zapier/triggers/donations/created-feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v3/zapier/triggers/donations/created-feed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v3/zapier/triggers/donations/created-feed"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v3/zapier/triggers/donations/created-feed")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v3/zapier/triggers/donations/created-feed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 12345,
"donation_id": 12345,
"donor_id": 12345,
"method_id": 12345,
"commitment_id": 12345,
"sponsorship_id": 12345,
"soft_credit_count": 12345,
"type": 12345,
"is_offline_payment": false,
"is_recurring_payment": false,
"is_tax_deductible": true,
"is_acknowledged": false,
"has_soft_credits": false,
"one_time": false,
"refunded": false,
"refundable": false,
"is_csv_import": false,
"method": "Cash",
"in_kind_category": "example",
"settled_at": "2026-10-20T10:00:00Z",
"receipt_sent_at": "2026-10-20T10:00:00Z",
"acknowledgement_status": "example",
"acknowledged_at": "2026-10-20T10:00:00Z",
"acknowledgement_source": "example",
"currency": "$",
"transaction_id": "external-payment-001",
"transaction_status": "completed",
"result": "Created via Zapier",
"notes": "Offline gift received.",
"tags": "example",
"date": "example",
"soft_credit_total_amount": 25,
"deposit_date": "<unknown>",
"in_honor_of": "<unknown>",
"json_fields": "<unknown>",
"created_at": "2026-10-20T10:00:00Z",
"updated_at": "2026-10-20T10:00:00Z",
"amount": 25,
"refunded_amount": 0,
"net_amount": 25,
"remaining_refundable_amount": 25,
"individual_transaction_amount": 25,
"payment_transaction_amount": 25,
"combined_transaction_amount": 25,
"batched_individual_amount": 25,
"non_batched_transaction_amount": 25,
"actual_charged_amount": 25,
"batch_donation_id": 12345,
"batch_id": 12345,
"batch_count": 12345,
"is_batched": false,
"has_combined_transaction_amount": false,
"batch_group_id": "example",
"amount_context": "example",
"batch_donation_ids": [
123
],
"giving_source": "example",
"giving_source_label": "example",
"daf_disclosure": "example",
"daf_fund_name": "example",
"source_reference": "example",
"ira_owner_donor_id": 12345,
"intermediary_donor_id": 12345,
"daf_advisor": {
"id": 12345,
"name": "Jane Doe"
},
"ira_owner": {
"id": 12345,
"name": "Jane Doe"
},
"intermediary": {
"id": 12345,
"name": "Jane Doe"
},
"processing_fee": 25,
"platform_fee": 25,
"amount_excluding_fee": 25,
"processor_net_amount": 25,
"donor_covered_fee": 25,
"processor_fee_currency": "example",
"processing_fee_known": false,
"profile": "<unknown>",
"donor": {
"id": 12345,
"hysform_id": 42,
"name": "example",
"email": "jane@example.org",
"is_giving_institution": false
},
"designation": {
"id": 12345,
"type": 12345,
"emailset_id": 12345,
"program_id": 11,
"code": "example",
"name": "example",
"program_name": "example"
},
"soft_credits": [
{
"id": 12345,
"donor_id": 12345,
"type_id": 12345,
"donor_name": "example",
"donor_email": "example",
"type_key": "example",
"type": "individual",
"notes": "Offline gift received.",
"created_at": "2026-10-20T10:00:00Z",
"updated_at": "2026-10-20T10:00:00Z",
"amount": 25
}
]
}
],
"meta": {
"page_size": 100,
"has_more": false,
"created_after": "<string>",
"next_cursor": {
"created_at": "2026-10-19T10:00:00Z",
"id": 12345
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"success": false,
"errors": [
{
"code": "INSUFFICIENT_SCOPE",
"message": "Required scope is missing.",
"required_scope": "schema:read",
"available_scopes": [
"<string>"
],
"required_permission_groups": [
[
"<string>"
]
]
}
]
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}